> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get additional required fields for Halo ITSM Incident tickets



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/integration/{integrationId}/halo-itsm/fields
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{integrationId}/halo-itsm/fields:
    get:
      tags:
        - Integration
      summary: Get additional required fields for Halo ITSM Incident tickets
      operationId: HaloItsmController_getTicketTypeFields
      parameters:
        - name: integrationId
          required: true
          in: path
          description: Halo ITSM integration ID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FieldInfoDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    FieldInfoDto:
      type: object
      properties:
        name:
          type: string
        label:
          type: string
        type:
          type: string
        required:
          type: boolean
        options:
          type: array
          items:
            $ref: '#/components/schemas/FieldOptionDto'
      required:
        - name
        - label
        - type
        - required
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    FieldOptionDto:
      type: object
      properties:
        value:
          type: string
        label:
          type: string
      required:
        - value
        - label
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````